# Class BioMeshRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.MeshRenderer
org.jmol.renderbio.BioMeshRenderer

public class BioMeshRenderer extends MeshRenderer

## Field Summary

### Fields inherited from class MeshRenderer

`allowDashed, antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`BioMeshRenderer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(boolean doCap0, boolean doCap1)`
`void`
`initBS()`
`void`
`initialize(ShapeRenderer bsr, BioShape bioShape, int monomerCount)`
`protected boolean`
`render()`
`void`
`renderMeshes()`
`void`
`setFancyArrowHead(int i)`
`boolean`
`setFancyConic(int i, int tension)`
`void`
`setFancyRibbon(int i)`

### Methods inherited from class MeshRenderer

`checkFront, drawEdge, drawTriangle, exportSurface, isPolygonDisplayable, isVisibleNormix, render2, render2b, renderMesh2, renderPoints, renderTriangles, setColix`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BioMeshRenderer

public BioMeshRenderer()

## Method Details

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### initialize

public void initialize(ShapeRenderer bsr, BioShape bioShape, int monomerCount)

### setFancyRibbon

public void setFancyRibbon(int i)

### setFancyConic

public boolean setFancyConic(int i, int tension)

### setFancyArrowHead

public void setFancyArrowHead(int i)

### renderMeshes

public void renderMeshes()

### initBS

public void initBS()

### check

public boolean check(boolean doCap0, boolean doCap1)